=== bin/CMakeLists.txt ===
if( ENABLE_INSTALL )
	install( PROGRAMS ecbuild DESTINATION ${INSTALL_BIN_DIR} )
endif()
