=== src/CMakeLists.txt ===

add_subdirectory( libMars )
add_subdirectory( libUtil )
add_subdirectory( libMetview )
add_subdirectory( libMvNetCDF )
add_subdirectory( libFTimeUtil )

add_subdirectory( Datacoverage )
add_subdirectory( Divrot )
add_subdirectory( Ecfile )
add_subdirectory( Event )

add_subdirectory( Macro )
add_subdirectory( MvApp )
add_subdirectory( Flextra )
add_subdirectory( GribVectors )
add_subdirectory( Hovmoeller )
add_subdirectory( KML )
add_subdirectory( ObsFilter )
add_subdirectory( Percentile )
add_subdirectory( PottF )
add_subdirectory( Relhum )
add_subdirectory( Rttov )
add_subdirectory( Scm )
add_subdirectory( Spectra )
add_subdirectory( Stations )
add_subdirectory( StdAppManager )
add_subdirectory( Thermo )
add_subdirectory( Velstr )
add_subdirectory( Vapor )
add_subdirectory( XSection )

if(ENABLE_INPE)
    add_subdirectory(CptecAccess)
endif()

if(ENABLE_OPERA_RADAR)
    add_subdirectory(OperaRadar)
endif()

if(ENABLE_UI)
    if(ENABLE_MOTIF)
        add_subdirectory(libMvMotif)
        add_subdirectory(WebAccess)
   endif()

    add_subdirectory(libMvQtUtil)
    add_subdirectory(libMvQtGui)
    add_subdirectory(AppMod)
    add_subdirectory(BufrExaminer)
    add_subdirectory(DebugTools)
    add_subdirectory(ExamineManager)
    add_subdirectory(FlextraExaminer)
    add_subdirectory(GeopExaminer)
    add_subdirectory(GribExaminer)
    add_subdirectory(MacroEditor)
    add_subdirectory(NcExaminer)
    add_subdirectory(OgcClient)
    add_subdirectory(ScmEditor)
 
    if(ENABLE_MOTIF)
        add_subdirectory(MetviewUI)
    endif()

    # omitted: VisTools


    if(ENABLE_EXPERIMENTAL)
        add_subdirectory(MarsCatalog)
    endif()

    add_subdirectory(Desktop)
endif()


if(ENABLE_PLOTTING)
    add_subdirectory(uPlot)
    add_subdirectory(MagML)
    add_subdirectory(Reprojection)

    if(AT_ECMWF)
        add_subdirectory(Meteogram)
    endif()
endif()


if(ENABLE_ODB)
    add_subdirectory(Odb)
    if(ENABLE_UI)
        add_subdirectory(OdbExaminer)
    endif()
endif()


# still to do:
#     ensure that contents of images directory are put into tarball

# will not do:  libMars-ecregrid Obstat ObstatCurveTool ObstatScatterTool




# propagate ModuleObjectSpecFiles to the parent scope so we can use it again
set(ModuleObjectSpecFiles ${ModuleObjectSpecFiles} PARENT_SCOPE)
set(ModuleXpmFiles        ${ModuleXpmFiles}        PARENT_SCOPE)
set(ModuleSvgFiles        ${ModuleSvgFiles}        PARENT_SCOPE)
