=== src/ExamineManager/CMakeLists.txt ===

ecbuild_add_executable( TARGET       MvExamineManager
                        SOURCES      MvExamineManager.cc
                        DEFINITIONS  ${METVIEW_EXTRA_DEFINITIONS}
                        INCLUDES     ${METVIEW_STANDARD_INCLUDES}
                        LIBS         ${STANDARD_METVIEW_LIBS}
                    )
