=== src/Meteogram/CMakeLists.txt ===

ecbuild_add_executable( TARGET       MetPlus
                        SOURCES      MetPlus.cc
                        DEFINITIONS  ${METVIEW_EXTRA_DEFINITIONS}
                        INCLUDES     ${METVIEW_STANDARD_INCLUDES}
                        LIBS         ${STANDARD_METVIEW_LIBS}
                      )


metview_module_files(ETC_FILES ObjectSpec.Meteogram
                               MetPlusDef
                               MetPlusRules
                     XPM_FILES MetPlus.xpm)



set(local_metgram_script ${CMAKE_BINARY_DIR}/bin/metgram_client)

configure_file(${MAGICS_METEOGRAM_SCRIPT} ${local_metgram_script} COPYONLY)

install(FILES ${local_metgram_script}
        DESTINATION ${MV_BIN_DIR}
        PERMISSIONS OWNER_WRITE OWNER_READ GROUP_READ WORLD_READ OWNER_EXECUTE GROUP_EXECUTE WORLD_EXECUTE)
