=== src/MetviewUI/CMakeLists.txt ===
 
set(MetviewUI_srcs
    Action.cc
    ActionCommand.cc
    Ask.cc
    Basic.cc
    BoolLine.cc
    ColorLine.cc
    ColorName.cc
    ColorHelp.cc
    ColourEditor.cc
    Command.cc
    ComputeEditor.cc
    ConfigLoader.cc
    Confirm.cc
    Counted.cc
    Dependancy.cc
    DragWindow.cc
    Drawer.cc
    Drop.cc
    DropSite.cc
    Dropping.cc
    MotifDrop.cc
    EditTransaction.cc
    Editor.cc
    EditorDrawer.cc
    EditorDrawerFactory.cc
    EditorFactory.cc
    EditorTool.cc
    EditorToolFactory.cc
    ExternalHelp.cc
    Family.cc
    FamilyHelper.cc
    FamilyEditor.cc
    FileObject.cc
    FileSelection.cc
    Folder.cc
    FolderDrawers.cc
    FolderViewer.cc 
    FolderWindow.cc
    HelpFactory.cc
    IconClass.cc
    IconDrawer.cc
    IconFactory.cc
    IconHelp.cc
    IconHolder.cc
    IconInfo.cc
    IconLine.cc
    IconObject.cc
    IconSelection.cc
    Input.cc
    InternalService.cc
    InternalTask.cc
    ViewsDrawer.cc
    Items.cc
    Language.cc
    LayoutDrawer.cc
    LineFactory.cc
    ListHelp.cc
    Log.cc
    TeeBuffer.cc
    TeeStream.cc
    LogWindow.cc
    Netscape.cc
    Help.cc
    MacroEditor.cc
    MacroParam.cc
    MacroParamEditor.cc
    MacroParamState.cc
    MacroRunTask.cc
    MenuLine.cc
    NoneLine.cc
    MessageObserver.cc 
    MethodCommand.cc
    MetviewService.cc
    MetviewTask.cc
    MetviewUI.cc
    NoEditor.cc
    InternalEditor.cc
    ExternalEditor.cc
    ExternalTextEditor.cc
    ExternalServiceEditor.cc
    BaseTextEditor.cc
    OutputDrawer.cc
    CatalogDrawer.cc
    GridDrawer.cc
    PageView.cc
    PaperDrawer.cc
    ParamList.cc
    Parameter.cc
    PlotModHelp.cc
    Protocol.cc
    Queue.cc
    QtMacroEditor.cc
    QtOgcClientEditor.cc
    QtScmEditor.cc
    QtStackedEditor.cc
    Rainbow.cc
    Recents.cc
    ReplyObserver.cc 
    RequestPanel.cc
    RequestPanelHelp.cc
    RequestPanelItem.cc	
    RequestPanelLine.cc
    ResolveTransaction.cc
    Resources.cc
    RootFolder.cc
    ScaleLine.cc
    ScriptHelp.cc
    Service.cc
    ShellService.cc
    ShellTask.cc
    SimpleEditor.cc
    RetrieveEditor.cc
    ScrolledText.cc
    State.cc
    StationaryDrawers.cc
    SyncFolders.cc 
    SystemFolder.cc
    Task.cc
    TempIconClass.cc
    TemplateDrawer.cc
    Temporary.cc
    TemporaryFolder.cc
    TextEditor.cc
    TextLine.cc
    Timeout.cc
    Runnable.cc
    StringLine.cc
    Tools.cc
    Transaction.cc
    Unknown.cc
    UserMessage.cc
    ViewEditor.cc
    ODBEditor.cc
    SQLDrawer.cc
    ODBFunctionsDrawer.cc
    Wastebasket.cc
    XMLabel.cc
    XMList.cc
    XMString.cc
    XMText.cc
    XPalette.cc
    XPixmap.cc
    XResource.cc
    main.cc
    UIAsk.cc
    UIBoolLine.cc
    UIColorLine.cc
    UIColorName.cc
    UIColourEditor.cc
    UIConfirm.cc
    UIEditor.cc
    UIFamilyEditor.cc
    UIFileSelection.cc
    UIFolderWindow.cc
    UIIconDrawer.cc
    UIIconHelp.cc
    UIIconLine.cc
    UIIconSelection.cc
    UILayoutDrawer.cc
    UILine.cc
    UINoneLine.cc
    UIColorHelp.cc
    UIListHelp.cc
    UILogWindow.cc
    UIGridDrawer.cc
    UIMenuLine.cc
    UINoEditor.cc
    UIOutputDrawer.cc
    UICatalogDrawer.cc
    UIPaperDrawer.cc
    UIParamEditor.cc
    UIRequestPanel.cc
    UIScaleLine.cc
    UIScriptHelp.cc
    UIScrolledText.cc
    UISimpleEditor.cc
    UITemplateDrawer.cc
    UITextEditor.cc
    UITextLine.cc
    UISyncFolders.cc
    UIViewsDrawer.cc
    UIODBEditor.cc
    UIODBFunctionsDrawer.cc
    UISQLDrawer.cc
    UIViewEditor.cc
    Action.h
    ActionCommand.h
    Ask.h
    BaseTextEditor.h
    Basic.h
    BoolLine.h
    CatalogDrawer.h
    ColorHelp.h
    ColorLine.h
    ColorName.h
    ColourEditor.h
    Command.h
    CommandObserver.h
    ComputeEditor.h
    ConfigLoader.h
    Confirm.h
    Counted.h
    Dependancy.h
    Dialog.h
    DragWindow.h
    Drawer.h
    Drop.h
    DropSite.h
    Dropping.h
    EditTransaction.h
    Editor.h
    EditorButton.h
    EditorDrawer.h
    EditorDrawerFactory.h
    EditorFactory.h
    EditorObserver.h
    EditorTool.h
    EditorToolFactory.h
    Error.h
    Extent.h
    ExternalEditor.h
    ExternalHelp.h
    ExternalServiceEditor.h
    ExternalTextEditor.h
    Family.h
    FamilyEditor.h
    FamilyHelper.h
    FileObject.h
    FileSelection.h
    Folder.h
    FolderDrawers.h
    FolderObserver.h
    FolderViewer.h
    FolderWindow.h
    GridDrawer.h
    HSLMaker.h
    Help.h
    HelpFactory.h
    IconClass.h
    IconDrawer.h
    IconFactory.h
    IconHelp.h
    IconHolder.h
    IconInfo.h
    IconLine.h
    IconObject.h
    IconObserver.h
    IconSelection.h
    Input.h
    InternalEditor.h
    InternalService.h
    InternalTask.h
    Items.h
    Language.h
    LayoutDrawer.h
    LineFactory.h
    ListHelp.h
    Log.h
    LogWindow.h
    MacroEditor.h
    MacroParam.h
    MacroParamEditor.h
    MacroParamState.h
    MacroRunTask.h
    MenuLine.h
    Message.h
    MessageObserver.h
    MethodCommand.h
    MetviewService.h
    MetviewTask.h
    MetviewUI.h
    MotifDrop.h
    Netscape.h
    NoEditor.h
    NoneLine.h
    ODBEditor.h
    ODBFunctionsDrawer.h
    OutputDrawer.h
    PageView.h
    PaperDrawer.h
    ParamList.h
    Parameter.h
    PlotModHelp.h
    Protocol.h
    QtMacroEditor.h
    QtOgcClientEditor.h
    QtScmEditor.h
    QtStackedEditor.h
    Queue.h
    RGBMaker.h
    Rainbow.h
    Recents.h
    ReplyObserver.h
    RequestPanel.h
    RequestPanelHelp.h
    RequestPanelItem.h
    RequestPanelLine.h
    ResolveTransaction.h
    Resources.h
    RetrieveEditor.h
    RootFolder.h
    Runnable.h
    SQLDrawer.h
    ScaleLine.h
    ScriptHelp.h
    ScrolledText.h
    Service.h
    ShellService.h
    ShellTask.h
    SimpleDroppin.h
    SimpleEditor.h
    Singleton.h
    State.h
    StationaryDrawers.h
    StringLine.h
    SyncFolders.h
    SynchFolders.h
    SystemFolder.h
    Task.h
    TaskObserver.h
    TeeBuffer.h
    TeeStream.h
    TempIconClass.h
    TemplateDrawer.h
    Temporary.h
    TemporaryFolder.h
    TextEditor.h
    TextLine.h
    Timeout.h
    Tools.h
    Transaction.h
    UIAsk.h
    UIBoolLine.h
    UICatalogDrawer.h
    UIColorHelp.h
    UIColorLine.h
    UIColorName.h
    UIColourEditor.h
    UIConfirm.h
    UIEditor.h
    UIFamilyEditor.h
    UIFileSelection.h
    UIFolderWindow.h
    UIGridDrawer.h
    UIIconDrawer.h
    UIIconHelp.h
    UIIconLine.h
    UIIconSelection.h
    UILayoutDrawer.h
    UILine.h
    UIListHelp.h
    UILogWindow.h
    UIMenuLine.h
    UINoEditor.h
    UINoneLine.h
    UIODBEditor.h
    UIODBFunctionsDrawer.h
    UIOutputDrawer.h
    UIPaperDrawer.h
    UIParamEditor.h
    UIRequestPanel.h
    UISQLDrawer.h
    UIScaleLine.h
    UIScriptHelp.h
    UIScrolledText.h
    UISimpleEditor.h
    UISyncFolders.h
    UITemplateDrawer.h
    UITextEditor.h
    UITextLine.h
    UIViewEditor.h
    UIViewsDrawer.h
    Unknown.h
    UserMessage.h
    VariableTask.h
    ViewEditor.h
    ViewsDrawer.h
    Wastebasket.h
    XMLabel.h
    XMList.h
    XMString.h
    XMText.h
    XPalette.h
    XPixmap.h
    XResource.h
    auto_ptr.h
)

include_directories( CMAKE_CURRENT_SOURCE_DIR . )

ecbuild_add_executable( TARGET       MetviewUI
                        SOURCES      ${MetviewUI_srcs}
                        DEFINITIONS  ${METVIEW_EXTRA_DEFINITIONS}
                        INCLUDES     ${X11_INCLUDE_DIR} ${METVIEW_STANDARD_INCLUDES} ${METVIEW_MOTIF_INCLUDE_DIR}
                        LIBS         ${METVIEW_MOTIF_LIBS} ${STANDARD_METVIEW_LIBS} ${METVIEW_EXTRA_LIBRARIES} ${MOTIF_LIBRARIES} ${X11_LIBRARIES}
                    )
