=== src/ObsFilter/CMakeLists.txt ===

ecbuild_add_executable( TARGET       ObsFilter
                        SOURCES      ObsFilter.cc
                        DEFINITIONS  ${METVIEW_EXTRA_DEFINITIONS}
                        INCLUDES     ${METVIEW_STANDARD_INCLUDES}
                        LIBS         ${STANDARD_METVIEW_LIBS}
                    )

ecbuild_add_executable( TARGET       CleanFile
                        SOURCES      CleanFile.cc
                        DEFINITIONS  ${METVIEW_EXTRA_DEFINITIONS}
                        INCLUDES     ${METVIEW_STANDARD_INCLUDES}
                        LIBS         ${STANDARD_METVIEW_LIBS}
                    )

ecbuild_add_executable( TARGET       BufrPicker
                        SOURCES      BufrPicker.cc
                        DEFINITIONS  ${METVIEW_EXTRA_DEFINITIONS}
                        INCLUDES     ${METVIEW_STANDARD_INCLUDES}
                        LIBS         ${STANDARD_METVIEW_LIBS}
                    )



metview_module_files(ETC_FILES  ObjectSpec.BufrPicker BufrPickerDef BufrPickerRules)
