=== src/Odb/CMakeLists.txt ===

ecbuild_add_executable( TARGET       OdbFilter
                        SOURCES      OdbFilter.cc
                        DEFINITIONS  ${METVIEW_EXTRA_DEFINITIONS}
                        INCLUDES     ${METVIEW_STANDARD_INCLUDES} ${METVIEW_ODB_API_INCLUDE_DIRS}
                        LIBS         ${STANDARD_METVIEW_LIBS} ${METVIEW_ODB_API_LIBRARIES} 
                    )

ecbuild_add_executable( TARGET       OdbVisualiser
                        SOURCES      OdbVisualiser.cc
                        DEFINITIONS  ${METVIEW_EXTRA_DEFINITIONS}
                        INCLUDES     ${METVIEW_STANDARD_INCLUDES} ${METVIEW_ODB_API_INCLUDE_DIRS}
                        LIBS         ${STANDARD_METVIEW_LIBS} ${METVIEW_ODB_API_LIBRARIES}
                    )

metview_module_files(ETC_FILES ObjectSpec.Odb
                               OdbFilterDef
                               OdbFilterRules
                               OdbVisualiserDef
                               OdbVisualiserRules)
