=== debian/changelog ===
metview (4.6.1-5build1) xenial; urgency=medium

  * No-change rebuild for dxflib transition.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Feb 2016 08:10:32 +0000

metview (4.6.1-5) unstable; urgency=medium

  * Remove B-D on libmotif-dev as it is no longer used (Qt5 is instead)
  * Split dh_fixperms to arch and -indep parts, so dpkg-buildpackage -A
    works. Closes: #814437.
  * Fix bashisms. Closes: #772310.
  * Patch for G++ 6 changes (c++-11 abi). Closes: #812161.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 16 Feb 2016 23:02:36 +0000

metview (4.6.1-4) unstable; urgency=medium

  * Fix for --no-arch-all builds

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Jan 2016 03:08:30 +0000

metview (4.6.1-3) unstable; urgency=medium

  * compress files 'gzip -n' for reproducibility. 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 15 Jan 2016 07:23:27 +0000

metview (4.6.1-2) unstable; urgency=medium

  * Depend on libgrib-api-dev >= 1.14.4-5 to pull in its Build-dependencies.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 14 Jan 2016 13:21:31 +0000

metview (4.6.1-1) unstable; urgency=medium

  * New upstream release.
    * qt5.patch now merged upstream.
  * B-D on magics >= 2.26.2-1
  * metview explicitly depends on ksh. Closes: #808815.
  * Fix path in metview script. Closes: #808816.

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 11 Jan 2016 07:36:31 +0000

metview (4.5.7-3) unstable; urgency=medium

  * Next in the round of exciting metview reproducibility fixes. 
    Closes: #806580.
  * Use -fPIC on i386
  * Link "--as-needed"
  * Define PATH_MAX in mars.h for Hurd FTBFS.

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 03 Dec 2015 14:14:19 +0000
